MyGUI: MyGUI::DDContainer Class Reference

MyGUI 3.2.2

Public Types | Public Member Functions | Static Public Member Functions | Data Fields | Protected Member Functions | Protected Attributes
MyGUI::DDContainer Class Reference

DDContainer properties.
Skin childs. DDContainer widget description should be here. More...

`#include <MyGUI_DDContainer.h>`

Inheritance diagram for MyGUI::DDContainer:
[legend]

## Public Types
typedef RTTIBase | Base
typedef DDContainer | RTTIBase
Public Types inherited from MyGUI::Widget
typedef RTTIBase | Base
typedef Widget | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const
virtual bool | isType (const std::type_info &_type) const
template<typename Type >
bool | isType () const
| DDContainer ()
void | setNeedDragDrop (bool _value)
bool | getNeedDragDrop () const
void | resetDrag ()
virtual void | _setContainerItemInfo (size_t _index, bool _set, bool _accept)
Public Member Functions inherited from MyGUI::Widget
template<typename Type >
bool | isType () const
| Widget ()
Widget * | createWidgetT (const std::string &_type, const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_name="")
Widget * | createWidgetT (const std::string &_type, const std::string &_skin, int _left, int _top, int _width, int _height, Align _align, const std::string &_name="")
Widget * | createWidgetRealT (const std::string &_type, const std::string &_skin, const FloatCoord &_coord, Align _align, const std::string &_name="")
Widget * | createWidgetRealT (const std::string &_type, const std::string &_skin, float _left, float _top, float _width, float _height, Align _align, const std::string &_name="")
template<typename T >
T * | createWidget (const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_name="")
template<typename T >
T * | createWidget (const std::string &_skin, int _left, int _top, int _width, int _height, Align _align, const std::string &_name="")
template<typename T >
T * | createWidgetReal (const std::string &_skin, const FloatCoord &_coord, Align _align, const std::string &_name="")
template<typename T >
T * | createWidgetReal (const std::string &_skin, float _left, float _top, float _width, float _height, Align _align, const std::string &_name="")
Widget * | createWidgetT (WidgetStyle _style, const std::string &_type, const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_layer="", const std::string &_name="")
template<typename T >
T * | createWidget (WidgetStyle _style, const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_layer="", const std::string &_name="")
virtual void | setPosition (const IntPoint &_value)
virtual void | setSize (const IntSize &_value)
virtual void | setCoord (const IntCoord &_value)
void | setPosition (int _left, int _top)
void | setSize (int _width, int _height)
void | setCoord (int _left, int _top, int _width, int _height)
void | setRealPosition (const FloatPoint &_value)
void | setRealSize (const FloatSize &_value)
void | setRealCoord (const FloatCoord &_value)
void | setRealPosition (float _left, float _top)
void | setRealSize (float _width, float _height)
void | setRealCoord (float _left, float _top, float _width, float _height)
const std::string & | getName () const
| Get name of widget. More...
virtual void | setVisible (bool _value)
bool | getVisible () const
void | setDepth (int _value)
int | getDepth () const
bool | getInheritedVisible () const
virtual void | setAlign (Align _value)
Align | getAlign () const
void | setAlpha (float _value)
float | getAlpha () const
void | setInheritsAlpha (bool _value)
bool | getInheritsAlpha () const
void | setColour (const Colour &_value)
bool | isRootWidget () const
Widget * | getParent () const
IntSize | getParentSize () const
EnumeratorWidgetPtr | getEnumerator () const
size_t | getChildCount ()
Widget * | getChildAt (size_t _index)
Widget * | findWidget (const std::string &_name)
void | findWidgets (const std::string &_name, VectorWidgetPtr &_result)
virtual void | setEnabled (bool _value)
void | setEnabledSilent (bool _value)
bool | getEnabled () const
bool | getInheritedEnabled () const
IntCoord | getClientCoord ()
Widget * | getClientWidget ()
void | detachFromWidget (const std::string &_layer="")
void | attachToWidget (Widget *_parent, WidgetStyle _style=WidgetStyle::Child, const std::string &_layer="")
void | changeWidgetSkin (const std::string &_skinName)
void | setWidgetStyle (WidgetStyle _style, const std::string &_layer="")
WidgetStyle | getWidgetStyle () const
void | setProperty (const std::string &_key, const std::string &_value)
virtual size_t | _getItemIndex (Widget *_item)
void | _forcePick (Widget *_widget)
void | _initialise (WidgetStyle _style, const IntCoord &_coord, const std::string &_skinName, Widget *_parent, ICroppedRectangle *_croppedParent, const std::string &_name)
void | _shutdown ()
void | _destroyChildWidget (Widget *_widget)
void | _setContainer (Widget *_value)
Widget * | _getContainer ()
void | _setAlign (const IntSize &_oldsize, const IntSize &_newSize)
bool | _checkPoint (int _left, int _top) const
Widget * | _createSkinWidget (WidgetStyle _style, const std::string &_type, const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_layer="", const std::string &_name="")
virtual void | _resetContainer (bool _update)
bool | _setWidgetState (const std::string &_value)
void | _updateChilds ()
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()
virtual | ~IObject ()
Public Member Functions inherited from MyGUI::ICroppedRectangle
| ICroppedRectangle ()
virtual | ~ICroppedRectangle ()
ICroppedRectangle * | getCroppedParent ()
IntPoint | getPosition () const
IntSize | getSize () const
const IntCoord & | getCoord () const
const IntPoint & | getAbsolutePosition () const
IntRect | getAbsoluteRect () const
IntCoord | getAbsoluteCoord () const
int | getAbsoluteLeft () const
int | getAbsoluteTop () const
int | getLeft () const
int | getRight () const
int | getTop () const
int | getBottom () const
int | getWidth () const
int | getHeight () const
bool | _isMargin () const
int | _getViewLeft () const
int | _getViewRight () const
int | _getViewTop () const
int | _getViewBottom () const
int | _getViewWidth () const
int | _getViewHeight () const
void | _setCroppedParent (ICroppedRectangle *_parent)
const IntRect & | _getMargin () const
int | _getMarginLeft () const
int | _getMarginRight () const
int | _getMarginTop () const
int | _getMarginBottom () const
Public Member Functions inherited from MyGUI::UserData
| UserData ()
virtual | ~UserData ()
void | setUserString (const std::string &_key, const std::string &_value)
const std::string & | getUserString (const std::string &_key) const
const MapString & | getUserStrings () const
bool | clearUserString (const std::string &_key)
bool | isUserString (const std::string &_key) const
void | clearUserStrings ()
void | setUserData (Any _data)
template<typename ValueType >
ValueType * | getUserData (bool _throw=true) const
void | _setInternalData (Any _data)
template<typename ValueType >
ValueType * | _getInternalData (bool _throw=true) const
Public Member Functions inherited from MyGUI::WidgetInput
| WidgetInput ()
virtual | ~WidgetInput ()
void | setNeedToolTip (bool _value)
bool | getNeedToolTip () const
void | setPointer (const std::string &_value)
const std::string & | getPointer () const
void | setNeedKeyFocus (bool _value)
bool | getNeedKeyFocus () const
void | setNeedMouseFocus (bool _value)
bool | getNeedMouseFocus () const
void | setInheritsPick (bool _value)
bool | getInheritsPick () const
void | setMaskPick (const std::string &_filename)
void | setMaskPick (const MaskPickInfo &_info)
bool | isMaskPickInside (const IntPoint &_point, const IntCoord &_coord) const
bool | getRootMouseFocus () const
bool | getRootKeyFocus () const
void | _riseMouseLostFocus (Widget *_new)
void | _riseMouseSetFocus (Widget *_old)
void | _riseMouseDrag (int _left, int _top, MouseButton _id)
void | _riseMouseMove (int _left, int _top)
void | _riseMouseWheel (int _rel)
void | _riseMouseButtonPressed (int _left, int _top, MouseButton _id)
void | _riseMouseButtonReleased (int _left, int _top, MouseButton _id)
void | _riseMouseButtonClick ()
void | _riseMouseButtonDoubleClick ()
void | _riseKeyLostFocus (Widget *_new)
void | _riseKeySetFocus (Widget *_old)
void | _riseKeyButtonPressed (KeyCode _key, Char _char)
void | _riseKeyButtonReleased (KeyCode _key)
void | _riseMouseChangeRootFocus (bool _focus)
void | _riseKeyChangeRootFocus (bool _focus)
void | _setRootMouseFocus (bool _value)
void | _setRootKeyFocus (bool _value)
Public Member Functions inherited from MyGUI::delegates::IDelegateUnlink
virtual | ~IDelegateUnlink ()
| IDelegateUnlink ()
bool | compare (IDelegateUnlink *_unlink) const
Public Member Functions inherited from MyGUI::SkinItem
| SkinItem ()
ISubWidgetText * | getSubWidgetText ()
ISubWidgetRect * | getSubWidgetMain ()
void | _setTextureName (const std::string &_texture)
const std::string & | _getTextureName () const
Public Member Functions inherited from MyGUI::LayerItem
| LayerItem ()
virtual | ~LayerItem ()
ILayer * | getLayer () const
ILayerNode * | getLayerNode () const
virtual void | attachItemToNode (ILayer *_layer, ILayerNode *_node)
virtual void | detachFromLayer ()
virtual void | upLayerItem ()
void | setRenderItemTexture (ITexture *_texture)
void | addChildItem (LayerItem *_item)
void | removeChildItem (LayerItem *_item)
void | addChildNode (LayerItem *_item)
void | removeChildNode (LayerItem *_item)
void | addRenderItem (ISubWidget *_item)
void | removeAllRenderItems ()
void | saveLayerItem ()
void | restoreLayerItem ()
Public Member Functions inherited from MyGUI::ILayerItem
virtual | ~ILayerItem ()
Public Member Functions inherited from MyGUI::MemberObsolete< Widget >
bool | isEnabled ()
bool | isInheritsAlpha ()
bool | isNeedKeyFocus ()
bool | isNeedMouseFocus ()
bool | isInheritsPick ()
bool | isVisible ()

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::Widget
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Data Fields
EventHandle_DDContainerPtrCDDItemInfoRefBoolRef | eventStartDrag
EventHandle_DDContainerPtrCDDItemInfoRefBoolRef | eventRequestDrop
EventHandle_DDContainerPtrCDDItemInfoRefBool | eventDropResult
EventHandle_EventHandle_DDContainerPtrDDItemState | eventChangeDDState
EventHandle_EventHandle_DDContainerPtrWidgetPtrRefIntCoordRef | requestDragWidgetInfo
delegates::CMultiDelegate1< DDContainer * > | _eventInvalideContainer
delegates::CMultiDelegate3< DDContainer *, Widget *, const DDWidgetState & > | eventUpdateDropState
Data Fields inherited from MyGUI::Widget
EventHandle_WidgetStringString | eventChangeProperty
EventHandle_WidgetVoid | eventChangeCoord
Data Fields inherited from MyGUI::WidgetInput
EventHandle_WidgetWidget | eventMouseLostFocus
EventHandle_WidgetWidget | eventMouseSetFocus
EventPairAddParameter< EventHandle_WidgetIntInt, EventHandle_WidgetIntIntButton > | eventMouseDrag
EventHandle_WidgetIntInt | eventMouseMove
EventHandle_WidgetInt | eventMouseWheel
EventHandle_WidgetIntIntButton | eventMouseButtonPressed
EventHandle_WidgetIntIntButton | eventMouseButtonReleased
EventHandle_WidgetVoid | eventMouseButtonClick
EventHandle_WidgetVoid | eventMouseButtonDoubleClick
EventHandle_WidgetWidget | eventKeyLostFocus
EventHandle_WidgetWidget | eventKeySetFocus
EventHandle_WidgetKeyCodeChar | eventKeyButtonPressed
EventHandle_WidgetKeyCode | eventKeyButtonReleased
EventHandle_WidgetBool | eventRootMouseChangeFocus
EventHandle_WidgetBool | eventRootKeyChangeFocus
EventHandle_WidgetToolTip | eventToolTip

## Protected Member Functions
virtual void | onMouseButtonPressed (int _left, int _top, MouseButton _id)
virtual void | onMouseButtonReleased (int _left, int _top, MouseButton _id)
virtual void | onMouseDrag (int _left, int _top, MouseButton _id)
virtual void | notifyInvalideDrop (DDContainer *_sender)
virtual void | removeDropItems ()
virtual void | updateDropItems ()
virtual void | updateDropItemsState (const DDWidgetState &_state)
void | mouseDrag (MouseButton _id)
void | mouseButtonReleased (MouseButton _id)
void | mouseButtonPressed (MouseButton _id)
void | endDrop (bool _reset)
virtual void | setPropertyOverride (const std::string &_key, const std::string &_value)
Protected Member Functions inherited from MyGUI::Widget
virtual | ~Widget ()
virtual void | shutdownOverride ()
virtual void | initialiseOverride ()
void | _updateView ()
Widget * | baseCreateWidget (WidgetStyle _style, const std::string &_type, const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_layer, const std::string &_name, bool _template)
void | _destroyAllChildWidget ()
virtual size_t | _getContainerIndex (const IntPoint &_point)
virtual void | baseUpdateEnable ()
virtual ILayerItem * | getLayerItemByPoint (int _left, int _top) const
virtual const IntCoord & | getLayerItemCoord () const
template<typename T >
void | assignWidget (T *&_widget, const std::string &_name)
VectorWidgetPtr | getSkinWidgetsByName (const std::string &_name)
void | destroySkinWidget (Widget *_widget)
virtual void | onWidgetCreated (Widget *_widget)
virtual void | onWidgetDestroy (Widget *_widget)
void | setWidgetClient (Widget *_widget)
Protected Member Functions inherited from MyGUI::ICroppedRectangle
bool | _checkMargin ()
bool | _checkOutside () const
Protected Member Functions inherited from MyGUI::WidgetInput
virtual void | onMouseLostFocus (Widget *_new)
virtual void | onMouseSetFocus (Widget *_old)
virtual void | onMouseMove (int _left, int _top)
virtual void | onMouseWheel (int _rel)
virtual void | onMouseButtonClick ()
virtual void | onMouseButtonDoubleClick ()
virtual void | onKeyLostFocus (Widget *_new)
virtual void | onKeySetFocus (Widget *_old)
virtual void | onKeyButtonPressed (KeyCode _key, Char _char)
virtual void | onKeyButtonReleased (KeyCode _key)
virtual void | onMouseChangeRootFocus (bool _focus)
virtual void | onKeyChangeRootFocus (bool _focus)
Protected Member Functions inherited from MyGUI::SkinItem
void | _createSkinItem (ResourceSkin *_info)
void | _deleteSkinItem ()
void | _setSkinItemAlign (const IntSize &_size)
void | _setSkinItemVisible (bool _value)
void | _setSkinItemColour (const Colour &_value)
void | _setSkinItemAlpha (float _value)
void | _correctSkinItemView ()
void | _updateSkinItemView ()
bool | _setSkinItemState (const std::string &_state)
void | _setSubSkinVisible (bool _visible)
Protected Member Functions inherited from MyGUI::LayerItem
void | attachToLayerItemNode (ILayerNode *_node, bool _deep)
void | detachFromLayerItemNode (bool _deep)

## Protected Attributes
bool | mDropResult
bool | mNeedDrop
bool | mStartDrop
Widget * | mOldDrop
Widget * | mCurrentSender
DDItemInfo | mDropInfo
size_t | mDropSenderIndex
Widget * | mDropItem
IntCoord | mDropDimension
IntPoint | mClickInWidget
bool | mNeedDragDrop
DDContainer * | mReseiverContainer
Protected Attributes inherited from MyGUI::ICroppedRectangle
IntRect | mMargin
IntCoord | mCoord
IntPoint | mAbsolutePosition
bool | mIsMargin
ICroppedRectangle * | mCroppedParent

## Detailed Description

DDContainer properties.
Skin childs. DDContainer widget description should be here.

Definition at line 27 of file MyGUI_DDContainer.h.

## Member Typedef Documentation

## ◆ Base

typedef RTTIBase MyGUI::DDContainer::Base

Definition at line 30 of file MyGUI_DDContainer.h.

## ◆ RTTIBase

typedef DDContainer MyGUI::DDContainer::RTTIBase

Definition at line 30 of file MyGUI_DDContainer.h.

## Constructor & Destructor Documentation

## ◆ DDContainer()

MyGUI::DDContainer::DDContainer | ( |  | ) |

Definition at line 15 of file MyGUI_DDContainer.cpp.

## Member Function Documentation

## ◆ _setContainerItemInfo()

void MyGUI::DDContainer::_setContainerItemInfo | ( | size_t | _index,
|  | bool | _set,
|  | bool | _accept
| ) |  |
| virtual

Reimplemented in MyGUI::ItemBox.

Definition at line 280 of file MyGUI_DDContainer.cpp.

## ◆ endDrop()

void MyGUI::DDContainer::endDrop | ( | bool | _reset | ) |
| protected

Definition at line 199 of file MyGUI_DDContainer.cpp.

## ◆ getClassTypeName()

static const std::string& MyGUI::DDContainer::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 30 of file MyGUI_DDContainer.h.

## ◆ getNeedDragDrop()

bool MyGUI::DDContainer::getNeedDragDrop | ( |  | ) | const

Get drag'n'drop mode flag

Definition at line 275 of file MyGUI_DDContainer.cpp.

## ◆ getTypeName()

virtual const std::string& MyGUI::DDContainer::getTypeName | ( |  | ) | const
| inlinevirtual

Get type name as string

Reimplemented from MyGUI::Widget.

Reimplemented in MyGUI::ItemBox.

Definition at line 30 of file MyGUI_DDContainer.h.

## ◆ isType() [1/2]

template<typename Type >

bool MyGUI::DDContainer::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 30 of file MyGUI_DDContainer.h.

## ◆ isType() [2/2]

virtual bool MyGUI::DDContainer::isType | ( | const std::type_info & | _type | ) | const
| inlinevirtual

Compare with selected type

Reimplemented from MyGUI::Widget.

Reimplemented in MyGUI::ItemBox.

Definition at line 30 of file MyGUI_DDContainer.h.

## ◆ mouseButtonPressed()

void MyGUI::DDContainer::mouseButtonPressed | ( | MouseButton | _id | ) |
| protected

Definition at line 52 of file MyGUI_DDContainer.cpp.

## ◆ mouseButtonReleased()

void MyGUI::DDContainer::mouseButtonReleased | ( | MouseButton | _id | ) |
| protected

Definition at line 74 of file MyGUI_DDContainer.cpp.

## ◆ mouseDrag()

void MyGUI::DDContainer::mouseDrag | ( | MouseButton | _id | ) |
| protected

Definition at line 82 of file MyGUI_DDContainer.cpp.

## ◆ notifyInvalideDrop()

void MyGUI::DDContainer::notifyInvalideDrop | ( | DDContainer * | _sender | ) |
| protectedvirtual

Definition at line 250 of file MyGUI_DDContainer.cpp.

## ◆ onMouseButtonPressed()

void MyGUI::DDContainer::onMouseButtonPressed | ( | int | _left,
|  | int | _top,
|  | MouseButton | _id
| ) |  |
| protectedvirtual

Reimplemented from MyGUI::WidgetInput.

Reimplemented in MyGUI::ItemBox.

Definition at line 28 of file MyGUI_DDContainer.cpp.

## ◆ onMouseButtonReleased()

void MyGUI::DDContainer::onMouseButtonReleased | ( | int | _left,
|  | int | _top,
|  | MouseButton | _id
| ) |  |
| protectedvirtual

Reimplemented from MyGUI::WidgetInput.

Reimplemented in MyGUI::ItemBox.

Definition at line 38 of file MyGUI_DDContainer.cpp.

## ◆ onMouseDrag()

void MyGUI::DDContainer::onMouseDrag | ( | int | _left,
|  | int | _top,
|  | MouseButton | _id
| ) |  |
| protectedvirtual

Reimplemented from MyGUI::WidgetInput.

Reimplemented in MyGUI::ItemBox.

Definition at line 45 of file MyGUI_DDContainer.cpp.

## ◆ removeDropItems()

void MyGUI::DDContainer::removeDropItems | ( |  | ) |
| protectedvirtual

Reimplemented in MyGUI::ItemBox.

Definition at line 223 of file MyGUI_DDContainer.cpp.

## ◆ resetDrag()

void MyGUI::DDContainer::resetDrag | ( |  | ) |

Definition at line 284 of file MyGUI_DDContainer.cpp.

## ◆ setNeedDragDrop()

void MyGUI::DDContainer::setNeedDragDrop | ( | bool | _value | ) |

Set drag'n'drop mode flag. Disabled (false) by default.

Definition at line 270 of file MyGUI_DDContainer.cpp.

## ◆ setPropertyOverride()

void MyGUI::DDContainer::setPropertyOverride | ( | const std::string & | _key,
|  | const std::string & | _value
| ) |  |
| protectedvirtual

Properties:
  NeedDragDrop is DDContainer property with type bool.
  Поддержка Drag and Drop.

Reimplemented from MyGUI::Widget.

Reimplemented in MyGUI::ItemBox.

Definition at line 255 of file MyGUI_DDContainer.cpp.

## ◆ updateDropItems()

void MyGUI::DDContainer::updateDropItems | ( |  | ) |
| protectedvirtual

Reimplemented in MyGUI::ItemBox.

Definition at line 228 of file MyGUI_DDContainer.cpp.

## ◆ updateDropItemsState()

void MyGUI::DDContainer::updateDropItemsState | ( | const DDWidgetState & | _state | ) |
| protectedvirtual

Reimplemented in MyGUI::ItemBox.

Definition at line 245 of file MyGUI_DDContainer.cpp.

## Field Documentation

## ◆ _eventInvalideContainer

delegates::CMultiDelegate1<DDContainer*> MyGUI::DDContainer::_eventInvalideContainer

Event : [Internal event] невалидна информация для контейнера.
signature : void method(MyGUI::DDContainer* _sender)

Parameters

  _sender | widget that called this event

Definition at line 93 of file MyGUI_DDContainer.h.

## ◆ eventChangeDDState

EventHandle_EventHandle_DDContainerPtrDDItemState MyGUI::DDContainer::eventChangeDDState

Event : Drag'n'drop state changed.
signature : void method(MyGUI::DDContainer* _sender, MyGUI::DDItemState _state)

Parameters

  _sender | widget that called this event
  _state | new state

Definition at line 74 of file MyGUI_DDContainer.h.

## ◆ eventDropResult

EventHandle_DDContainerPtrCDDItemInfoRefBool MyGUI::DDContainer::eventDropResult

Event : End drag (drop).
signature : void method(MyGUI::DDContainer* _sender, const MyGUI::DDItemInfo& _info, bool _result)

Parameters

  _sender | widget that called this event
  _info | information about DDContainers
  _result | if true then drop was successfull

Definition at line 67 of file MyGUI_DDContainer.h.

## ◆ eventRequestDrop

EventHandle_DDContainerPtrCDDItemInfoRefBoolRef MyGUI::DDContainer::eventRequestDrop

Event : Request for start drop (moving mouse over container, but not dropped yet).
signature : void method(MyGUI::DDContainer* _sender, const MyGUI::DDItemInfo& _info, bool& _result)

Parameters

  _sender | widget that called this event
  _info | information about DDContainers
  _result | write here true if container accept dragged widget or false if it isn't

Definition at line 59 of file MyGUI_DDContainer.h.

## ◆ eventStartDrag

EventHandle_DDContainerPtrCDDItemInfoRefBoolRef MyGUI::DDContainer::eventStartDrag

Event : Request for start drag.
signature : void method(MyGUI::DDContainer* _sender, const MyGUI::DDItemInfo& _info, bool& _result)

Parameters

  _sender | widget that called this event
  _info | information about DDContainers
  _result | write here true if container can be draggedor false if it can't

Definition at line 51 of file MyGUI_DDContainer.h.

## ◆ eventUpdateDropState

delegates::CMultiDelegate3<DDContainer*, Widget*, const DDWidgetState&> MyGUI::DDContainer::eventUpdateDropState

Event : [Internal event] !!обновить виджеты дропа DD_FIXME наверное internal.
signature : void method(MyGUI::DDContainer* _sender, MyGUI::Widget* _item, const MyGUI::DDWidgetState& _state)

Parameters

  _sender | widget that called this event
  _items |
  _state |

Definition at line 101 of file MyGUI_DDContainer.h.

## ◆ mClickInWidget

IntPoint MyGUI::DDContainer::mClickInWidget
| protected

Definition at line 138 of file MyGUI_DDContainer.h.

## ◆ mCurrentSender

Widget* MyGUI::DDContainer::mCurrentSender
| protected

Definition at line 128 of file MyGUI_DDContainer.h.

## ◆ mDropDimension

IntCoord MyGUI::DDContainer::mDropDimension
| protected

Definition at line 136 of file MyGUI_DDContainer.h.

## ◆ mDropInfo

DDItemInfo MyGUI::DDContainer::mDropInfo
| protected

Definition at line 130 of file MyGUI_DDContainer.h.

## ◆ mDropItem

Widget* MyGUI::DDContainer::mDropItem
| protected

Definition at line 135 of file MyGUI_DDContainer.h.

## ◆ mDropResult

bool MyGUI::DDContainer::mDropResult
| protected

Definition at line 123 of file MyGUI_DDContainer.h.

## ◆ mDropSenderIndex

size_t MyGUI::DDContainer::mDropSenderIndex
| protected

Definition at line 132 of file MyGUI_DDContainer.h.

## ◆ mNeedDragDrop

bool MyGUI::DDContainer::mNeedDragDrop
| protected

Definition at line 141 of file MyGUI_DDContainer.h.

## ◆ mNeedDrop

bool MyGUI::DDContainer::mNeedDrop
| protected

Definition at line 124 of file MyGUI_DDContainer.h.

## ◆ mOldDrop

Widget* MyGUI::DDContainer::mOldDrop
| protected

Definition at line 127 of file MyGUI_DDContainer.h.

## ◆ mReseiverContainer

DDContainer* MyGUI::DDContainer::mReseiverContainer
| protected

Definition at line 143 of file MyGUI_DDContainer.h.

## ◆ mStartDrop

bool MyGUI::DDContainer::mStartDrop
| protected

Definition at line 125 of file MyGUI_DDContainer.h.

## ◆ requestDragWidgetInfo

EventHandle_EventHandle_DDContainerPtrWidgetPtrRefIntCoordRef MyGUI::DDContainer::requestDragWidgetInfo

Event : [not used] Request widget for dragging.
signature : void method(MyGUI::DDContainer* _sender, MyGUI::Widget*& _item, MyGUI::IntCoord& _dimension)

Parameters

  _sender | widget that called this event
  _item | write widget pointer here
  _dimension | write widget coordinate here

Definition at line 82 of file MyGUI_DDContainer.h.

The documentation for this class was generated from the following files:

- MyGUI_DDContainer.h
- MyGUI_DDContainer.cpp